Bug 1401826 - libmtp error: could not get object handles for some directories
Summary: libmtp error: could not get object handles for some directories
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libmtp
Version: 27
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Linus Walleij
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-06 08:18 UTC by Andrea Vai
Modified: 2018-12-09 16:56 UTC (History)
10 users (show)

Fixed In Version: libmtp-1.1.16-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-19 02:20:39 UTC
Type: Bug


Attachments (Terms of Use)

Description Andrea Vai 2016-12-06 08:18:46 UTC
Description of problem:

libmtp gets an error while browsing some folders in Nautilus on a Samsung Android device connected by USB

Bug 1225601 (F22) is exactly the same and still present in Fedora 24, I am not able to reopen it there, so I am opening it here.

Version-Release number of selected component (if applicable):
$ rpm -q libmtp
libmtp-1.1.11-1.fc24.x86_64

How reproducible:

Steps to Reproduce:
1. Connect my MTP device to USB
2. Browse to the SDCard/DCIM/Camera Folder on Nautilus
3. Wait for the folder content to display

Actual results:
A dialog pops out saying
"This location could not be displayed.
Sorry, could not display all the contents of “Camera”: libmtp error:  could not get object handles."

Expected results:
Files contained in the folder are displayed

Additional info: does not happen on all folders, maybe only on crowded ones (timeout problem?)

Comment 1 Chen Xing 2016-12-31 20:19:26 UTC
I'm also having the same problem. Wondering if it's an libmtp problem.

Comment 2 Thomas Cameron 2017-02-27 06:13:41 UTC
Having the same problem on F25. I was able to read the contents of my 128GB SD card and copy music files over to it when it was empty. But as I was copying, I got a copy error and now I'm getting the Nautilus popup error "libmtp error:  could not get object handles.."

libmtp-1.1.11-1.fc25.x86_64

Comment 3 pgaltieri 2017-06-05 22:45:35 UTC
I'm getting the same error on a 16GB SD card.  This is with a Samsung S2 Tablet.

Comment 4 pgaltieri 2017-06-14 22:36:15 UTC
This error is not Nautilus dependent.  It happens with the caja file browser from the Mate desktop as well as the thunar file browser.  Whenever I try to copy this one directory of music files from my mtp device to my F25 system it fails with "libmpt: could not get object handles".

Comment 5 001101 2017-07-08 19:40:25 UTC
Still present in Fedora 25

libmtp-1.1.13-1.fc25.x86_64

Comment 6 Fedora End Of Life 2017-07-26 00:03:01 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 7 Fedora Update System 2017-10-20 14:46:21 UTC
libmtp-1.1.14-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-2178545be6

Comment 8 Fedora Update System 2017-10-20 14:49:48 UTC
libmtp-1.1.14-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-1ed1cb828f

Comment 9 Fedora Update System 2017-10-21 19:26:37 UTC
libmtp-1.1.14-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-1ed1cb828f

Comment 10 Fedora Update System 2017-10-22 02:22:35 UTC
libmtp-1.1.14-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-2178545be6

Comment 11 Fedora Update System 2017-11-01 00:05:48 UTC
libmtp-1.1.14-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2017-11-11 02:57:25 UTC
libmtp-1.1.14-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Andrea Vai 2017-12-04 10:57:41 UTC
(In reply to Fedora Update System from comment #11)
> libmtp-1.1.14-1.fc26 has been pushed to the Fedora 26 stable repository. If
> problems still persist, please make note of it in this bug report.

Reopening against F26 because still happens with 1.1.14-1.fc26 (folder with 124 files inside)

Comment 14 Andrea Vai 2017-12-04 11:02:40 UTC
I can point out that after deleting 4 files the problem seems to be gone.

Comment 15 Andrea Vai 2017-12-04 11:13:37 UTC
After a few other tries, I found out that the problem triggers if the folder contains 124 items, but does not if there are 123 files inside.

The total size for the 123 files is 24.6 MB.
The 124th file is 74.3 kB sized.

Comment 16 Marius Andreiana 2018-01-09 14:53:38 UTC
Happens to me too after upgrading to F27. F26 worked fine, same phone, less than 20 files in a folder.
libmtp-1.1.14-1.fc27.x86_64
gvfs-mtp.x86_64 1.34.1-1.fc27


Steps to Reproduce:
1. plugin unlocked Android phone via USB
2. get prompted on phone to use USB transfer files, accept
3. "Android" appears in Nautilus
4. click on it to mount

Actual results:
spins for 10-30 seconds, then shows Folder is empty

Expected results:
show "Internal Storage" drive, as it used to work in Fedora 26 (same phone, Nokia 5)

Additional info:
  850.682469] usb 3-2: new high-speed USB device number 6 using xhci_hcd
[  850.809948] usb 3-2: New USB device found, idVendor=2e04, idProduct=c025
[  850.809952] usb 3-2: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[  850.809955] usb 3-2: Product: Android
[  850.809957] usb 3-2: Manufacturer: Android
[  850.809959] usb 3-2: SerialNumber: D1AGAD1762440107
[  850.812560] usb-storage 3-2:1.1: USB Mass Storage device detected
[  850.812875] scsi host4: usb-storage 3-2:1.1
[  851.844406] scsi 4:0:0:0: CD-ROM            Linux    File-CD Gadget   0318 PQ: 0 ANSI: 2
[  851.846412] sr 4:0:0:0: [sr1] scsi-1 drive
[  851.846747] sr 4:0:0:0: Attached scsi CD-ROM sr1
[  851.846892] sr 4:0:0:0: Attached scsi generic sg2 type 5


Looks like this is a different bug?

Comment 17 Feng Yu 2018-03-23 03:49:28 UTC
Perhaps someone shall forward this to the upstream libmtp?

Looks like the 126 files limit is related to some hard coded constants in the driver, and can be an clean if not easy fix.

Comment 18 Andrea Vai 2018-05-16 12:47:12 UTC
(In reply to Feng Yu from comment #17)
> Perhaps someone shall forward this to the upstream libmtp?
> 
> Looks like the 126 files limit is related to some hard coded constants in
> the driver, and can be an clean if not easy fix.

(btw, it's 123 file limit, not 126)

I have contacted libmtp mailing list:

https://sourceforge.net/p/libmtp/mailman/message/36314380/

I am trying to help someway, but my experience is poor.

Comment 19 Andrea Vai 2018-05-16 13:10:43 UTC
(still affects current upstream libmtp-1.1.15)

Comment 20 Andrea Vai 2018-10-31 16:41:25 UTC
upstream bug:

https://sourceforge.net/p/libmtp/bugs/1808/

Comment 21 Fedora Update System 2018-11-16 11:39:16 UTC
libmtp-1.1.16-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-bb02c4e8d6

Comment 22 Fedora Update System 2018-11-17 04:44:45 UTC
libmtp-1.1.16-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-bb02c4e8d6

Comment 23 Fedora Update System 2018-11-19 02:20:39 UTC
libmtp-1.1.16-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 24 tomas 2018-12-09 16:56:48 UTC
it looks like,  problem still persist for 
Fedora 29
libmtp-1.1.16-1.fc29.x86_64
4.19.6-300.fc29.x86_64.
cat /etc/fuse.conf
 mount_max = 20000
 user_allow_other


Note You need to log in before you can comment on or make changes to this bug.